/**
 * 企业管理
 */

/**
 * [index 企业列表]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function index(data) {
  return service.get('api/virtual/companies/index', {
    params: data
  });
}

/**
 * [show 企业详情]
 * @param  {[type]} id [description]
 * @return {[type]}      [description]
 */
export function show(id) {
  return service.get(`api/virtual/companies/show/${id}`);
}

/**
 * [create 创建企业]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function create(data) {
  return serviceForm.post('api/virtual/companies/create', data);
}

/**
 * [update 修改企业]
 * @param  {[type]} data [description]
 * @param  {[type]} id   [角色id]
 * @return {[type]}      [description]
 */
export function update(data, id) {
  return serviceForm.post(`api/virtual/companies/update/${id}`, data);
}

/**
 * [destroy 删除企业]
 * @param  {[type]} data [description]
 * @return {[type]}      [description]
 */
export function destroy(data) {
  return service.post('api/virtual/companies/destroy', data);
}
